Download it now!
Bug 131454 - Colibre & Sukapura: wrong Digital Signature icon with valid Digital Signature
Summary: Colibre & Sukapura: wrong Digital Signature icon with valid Digital Signature
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.3
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-03-20 23:52 UTC by Rizal Muttaqin
Modified: 2020-03-22 15:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Wrong Valid Sign in Colibre (30.15 KB, image/png)
2020-03-20 23:52 UTC, Rizal Muttaqin
Details
Wrong Valid Sign in Sukapura (30.21 KB, image/png)
2020-03-20 23:53 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-03-20 23:52:57 UTC
Created attachment 158840 [details]
Wrong Valid Sign in Colibre

Step to reproduce:

1. Sign a Writer document with valid signature (File > Digital Signature > Digital Signature... > Sign Document..., select Certificate > Sign) or open a signed document with valid signature
2. In the infobar there's a message : "This document is digitally signed and the signature valid", click Show Signatures

See the icon show a little warning which indicates invalid or wrong signature

Expected result:

Change icon to be a valid signature
Comment 1 Rizal Muttaqin 2020-03-20 23:53:35 UTC
Created attachment 158841 [details]
Wrong Valid Sign in Sukapura
Comment 2 Commit Notification 2020-03-21 06:27:43 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3404084d62e6289db8308f97793ea5fd75c61274

Sukapura: Fix for tdf#131454: Wrong icons for Valid Signature

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-03-22 07:25:05 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8fe403c536234ff84ac2301e67e0f5483ba99b5b

Colibre: fix for tdf#131454, Wrong icons for Valid Signature

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-03-22 11:06:15 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/647cc8b966ae89839a847d0b10e73b3187c3090e

Colibre: fix for tdf#131454, Wrong icons for Valid Signature

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.